- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_copy()

## Synopsis

    mongoc_read_prefs_t *
    mongoc_read_prefs_copy (const mongoc_read_prefs_t *read_prefs);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.

## Description

This function shall deep copy a read preference.

## Returns

Returns a newly allocated read preference that should be freed with mongoc_read_prefs_destroy().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.